class Tracker {
  static log(event = '', params = {}) {
    console.log('track',event,'params',params);
    switch (event) {
      // standard events with statard params structure

      // custom events / no params required
      default:
        if (params['fb']) {
          fbq('track', event, params['fb']);
        }
        if (params['ga']) {
          gtag('track', event, params['ga']); // {event_category: String, event_label: String, value: Number, event_callback: Function}
        }

    }
  }
}